Issue building Xamarin.Mac with latest update

starl1nstarl1n DOUniversity ✭✭

Hello everyone,

I have issues building my app after updating to latest version of VS for Mac

The fun part is if I add MonoFramework-MDK-5.10.0.179.macos10.xamarin.universal.pkg don't have the issue (but with that version I lost the break point functionality) and I want to know if the Vibrancy thing is already solved on this new update or I have to still install xamarin.mac-5.2.1.4.pkg

Best

Posts

  • ChrisHamonsChrisHamons USForum Administrator, Xamarin Team Xamurai
    edited November 2018

    Hmm, it looks like we can't find mcs to build.

    Can you post the following:

    • The output of ls /Library/Frameworks/Mono.framework/Versions/Current/lib/mono/4.5/mcs.exe
    • The installed component listing
    • The full build log
  • starl1nstarl1n DOUniversity ✭✭
    • Starlins-MacBook-Pro:~ starlingonzalez$ ls /Library/Frameworks/Mono.framework/Versions/Current/lib/mono/4.5/mcs.exe
      /Library/Frameworks/Mono.framework/Versions/Current/lib/mono/4.5/mcs.exe

    • Don't know if you are referring to this
      === Visual Studio Professional 2017 for Mac ===

    Version 7.7 (build 1868)
    Installation UUID: dc82da4f-5ec8-47b7-bb72-258b714aee4b
    GTK+ 2.24.23 (Raleigh theme)
    Xamarin.Mac 4.4.1.178 (master / eeaeb7e6)

    Package version: 516000221
    

    === Mono Framework MDK ===

    Runtime:
    Mono 5.16.0.221 (2018-06/b63e5378e38) (64-bit)
    Package version: 516000221

    === NuGet ===

    Version: 4.7.0.5148

    === .NET Core ===

    Runtime: /usr/local/share/dotnet/dotnet
    Runtime Version: 2.1.2
    SDK: /usr/local/share/dotnet/sdk/2.1.302/Sdks
    SDK Version: 2.1.302
    MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.16.0/lib/mono/msbuild/15.0/bin/Sdks

    === Xamarin.Profiler ===

    Version: 1.6.4
    Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

    === Apple Developer Tools ===

    Xcode 10.1 (14460.46)
    Build 10B61

    === Xamarin.Mac ===

    Version: 5.2.1.11 (Visual Studio Professional)
    Hash: 5ef73d34
    Branch:
    Build date: 2018-11-21 00:03:25-0500

    === Xamarin.iOS ===

    Version: 12.2.1.11 (Visual Studio Professional)
    Hash: 5ef73d34
    Branch: d15-9
    Build date: 2018-11-21 00:03:24-0500

    === Xamarin.Android ===

    Version: 9.1.0.38 (Visual Studio Professional)
    Android SDK: /Users/starlingonzalez/Library/Developer/Xamarin/android-sdk-macosx
    Supported Android versions:
    8.1 (API level 27)

    SDK Tools Version: 26.1.1
    SDK Platform Tools Version: 28.0.0
    SDK Build Tools Version: 27.0.3

    Java SDK: /Users/starlingonzalez/Library/Developer/Xamarin/jdk/microsoft_dist_openjdk_1.8.0.9
    openjdk version "1.8.0-9"
    OpenJDK Runtime Environment (build 1.8.0-9-microsoft-b00)
    OpenJDK 64-Bit Server VM (build 25.71-b00, mixed mode)

    Android Designer EPL code available here:
    https://github.com/xamarin/AndroidDesigner.EPL

    === Android Device Manager ===

    Version: 7.7.1.0
    Hash: 06ceaea1

    === Xamarin Inspector ===

    Version: 1.4.3
    Hash: db27525
    Branch: 1.4-release
    Build date: Mon, 09 Jul 2018 21:20:18 GMT
    Client compatibility: 1

    === Build Information ===

    Release ID: 707001868
    Git revision: 8bcdfa96d67c8c88dc45728cc968a2f84b55322f
    Build date: 2018-11-22 12:19:29+00
    Build branch: release-7.7
    Xamarin extensions: d66dbedcda237cd9b546abfecfeecafba6f8e3cb

    === Operating System ===

    Mac OS X 10.14.1
    Darwin 18.2.0 Darwin Kernel Version 18.2.0
    Fri Oct 5 19:41:49 PDT 2018
    root:xnu-4903.221.2~2/RELEASE_X86_64 x86_64

    • Please see Attached file
  • ChrisHamonsChrisHamons USForum Administrator, Xamarin Team Xamurai

    This seems to be the most "interesting" bits:

    /Users/starlingonzalez/Projects/{PROJECT CONTAINER PATH }/{SOLUTION PATH}/packages/Microsoft.Bcl.Build.1.0.21/build/Microsoft.Bcl.Build.targets(243,5): warning : Project must install nuget package Microsoft.Bcl, version=1.1.10. For more information, see http:/go.microsoft.com/fwlink/?LinkID=317570.
    /Users/starlingonzalez/Projects/{PROJECT CONTAINER PATH }/{SOLUTION PATH}/packages/Microsoft.Bcl.Build.1.0.21/build/Microsoft.Bcl.Build.targets(243,5): warning : Project must install nuget package Microsoft.Net.Http, version=2.2.29. For more information, see http:/go.microsoft.com/fwlink/?LinkID=317570.
    /Library/Frameworks/Mono.framework/Versions/5.16.0/lib/mono/msbuild/15.0/bin/Microsoft.Common.CurrentVersion.targets(2130,5): warning MSB3276: Found conflicts between different versions of the same dependent assembly. Please set the "AutoGenerateBindingRedirects" property to true in the project file. For more information, see http:/go.microsoft.com/fwlink/?LinkId=294190.
    

    Maybe look at resolving those warnings? It appears the Microsoft.Bcl.Build nuget is not doing the right thing in calling the compiler (?)

  • starl1nstarl1n DOUniversity ✭✭

    Ok, let me try to solve that, the weird thing is that with MonoFramework-MDK-5.10.0.179.macos10.xamarin.universal.pkg I don't have any of those. But will try and report back

Sign In or Register to comment.